mon::icinga2_checkcommands:
  tcp:
    mon_meta:
      on_target: false
      types:
        # Host name, IP Address, or unix socket (must be an absolute path).
        address: Optional[Stdlib::Host]
        # All expect strings need to occur in server response. Defaults to false.
        all: Optional[Boolean]
        # Minimum number of days a certificate has to be valid. 1st value is number of days for warning, 2nd is critical (if not specified: 0) - seperated by comma.
        certificate: Optional[Variant[Integer,Pattern[/\A\d+(,\d+)?\z/]]]
        # Response time to result in critical status (seconds).
        ctime: Optional[Integer]
        # Seconds to wait between sending string and polling for response.
        delay: Optional[Integer]
        # Enable usage of \n, \r, \t or \\ in quit string.
        escape_quit: Optional[Boolean]
        # Enable usage of \n, \r, \t or \\ in send string.
        escape_send: Optional[Boolean]
        # String to expect in server response (may be repeated).
        expect: Optional[Variant[String,Array[String]]]
        # Use IPv4 connection
        ipv4: Optional[Boolean]
        # Use IPv6 connection
        ipv6: Optional[Boolean]
        # Hide output from TCP socket.
        jail: Optional[Boolean]
        # Close connection once more than this number of bytes are received.
        maxbytes: Optional[Integer]
        # Accept expected string mismatches with states ok, warn, crit. Defaults to warn.
        mismatch: Optional[Mon::Resultstate]
        # The TCP port number.
        port: Optional[Stdlib::Port]
        # String to send server to initiate a clean close of the connection.
        quit: Optional[String]
        # Accept TCP refusals with states ok, warn, crit. Defaults to crit.
        refuse: Optional[Mon::Resultstate]
        # String to send to the server.
        send: Optional[String]
        # Use SSL for the connection.
        ssl: Optional[Boolean]
        # Seconds before connection times out. Defaults to 10.
        timeout: Optional[Integer]
        # Response time to result in warning status (seconds).
        wtime: Optional[Integer]
